{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load md2 %}
{% load humanize %}

{% block title %}Corte y Reposición{% endblock %}

{% block page %}

  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item active">Corte y Reposición</li>
	  </ol>
	  <!-- end breadcrumb -->


	  <!-- begin page-header -->
  <h1 class="page-header">Buscar por número <small>servicio</small></h1>
  <!-- end page-header -->



<!-- begin row -->
<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="table-basic-1">
			<!-- begin panel-heading -->
			<div class="panel-heading">
			  <h4 class="panel-title">Buscar servicio</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<div class="panel-body">

	<form method="GET">
	<input name="number" type="number" placeholder="Número de servicio" class="form-control">
	<br/>
	<input type="submit" value="Buscar" class="btn btn-primary">
	</form>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
{% if service %}

 		<!-- begin col-6 -->
		<div class="col-xl-6">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="table-basic-1">
			<!-- begin panel-heading -->
			<div class="panel-heading">
			  <h4 class="panel-title">Detalle del servicio</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<div class="panel-body">
					<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
									<h3><a href="{% url 'customer-detail' service.customer.pk %}">{{ service.customer }}</a><br>
										<a href="{% url 'service-detail' service.pk %}">{{ service }}</a>
									</h3>
									<hr/>
							
								<table class="table table-striped">
								  <tbody>
									<tr>
									  <td>Estado de red</td><td><span class="label label-{{ service.network_status.0 }}">{{ service.network_status.1|capfirst }}</span></td>
									</tr>
									<tr>
									  <td>IP</td><td><a href="{% url 'service-network-detail' service.slug %}">{{ service.primary_equipment.ip }}</a></td>
									</tr>
									<tr>
									  <td>Tipo</td><td>{{ service.get_technology_kind_display|capfirst }}</td>
									</tr>
									<tr>
									  <td><a href="{% url 'service-network-activate' service.pk %}" class="btn btn-success">Conectar</a></td>
									  <td><a href="{% url 'service-network-drop' service.pk %}" class="btn btn-danger">Cortar</a></td>
									</tr>
								  </tbody>
								</table>
							</div>
						  </div>
	
						  <div class="row mb-3">
										<div class="col-sm-12 col-md-12">
						    <h4>Notas de facturación</h4>

						    {{ service.billing_notes|default:"Sin notas"|markdown }}

						    <h4>Notas internas</h4>

						    {{ service.internal_notes|default:"Sin notas"|markdown }}

						    <h4>Notas de contrato</h4>

						    {{ service.notes|default:"Sin notas"|markdown }}

						    <h4>RUTs pagadores</h4>

						    <ul>
						    {% for r in service.customer.payorrut_set.all %}
						    <li>{{ r.rut }}</li>
						    {% endfor %}
						    </ul>
			</div>
			</div>

	<div class="row mb-3">
			<div class="col-sm-12 col-md-12">
		    <h4>Últimos movimientos</h4>

		        {% with service.customer.get_statement as statement %}
	    <div id="extra" role="tabpanel" class="tab-pane active">
	      <h5>Saldo Actual: <span{% if statement.final_balance < 0 %} class="text-danger"{% endif %}>${{ statement.final_balance|intcomma }}</span></h5>
	      <hr/>

      <table id="invoice-list" cellspacing="0" width="100%" class="table table-bordered table-hover dt-responsive nowrap">
        <thead>
          <tr>
            <th>Fecha</th>
            <th>Descripción</th>
            <th>Cargo ($)</th>
            <th>Abono ($)</th>
            <th>Saldo ($)</th>
          </tr>
        </thead>
        <tbody>
	  {% for record in statement.records|slice:":6" %}
	  <tr {% if not record.paid %}class="bg-warning"{% endif %}>
	    <td align="right">{{ record.ts|date:"d-m-Y" }}</td>
	    <td><i class="ti-eye"></i> <a href="{{ record.absolute_url }}" class="text-{% if record.credit %}green{% else %}{% if True %}blue{% endif %}{% endif %}">{{ record.comment }}</a></td>
	    <td align="right">{% if record.charge %}{{ record.charge|intcomma }}{% endif %}</td>
	    <td align="right">{% if record.credit %}{{ record.credit|intcomma }}{% endif %}</td>
	    <td align="right">{{ record.balance|intcomma }}</td>
	  </tr>
	  {% endfor %}
        </tbody>
      </table>
    {% endwith %}

	  </div>
	
	</div>
</div>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
	{% endif %}



  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("tools_menu").classList.add("active");
    //active submenu item
    document.getElementById("quickdrop_item").classList.add("active");
</script>
{% endblock %}